Help cleaning dates values

df[‘DOA’].values
array([‘2013-03-07 00:00:00’, ‘2013-05-07 00:00:00’,
‘2013-10-07 00:00:00’, ‘13/7’, ‘16/7’, ‘22/7’, ‘23/7’, ‘23/7’,
‘27/7’, ‘2013-07-08 00:00:00’, ‘2013-07-08 00:00:00’, ‘14/8’,
‘16/8’, ‘16/8’, ‘19/8’, ‘19/8’, ‘2013-03-09 00:00:00’,
‘2013-08-09 00:00:00’, ‘16/9’, ‘25/9’, ‘26/9’,
‘2013-05-10 00:00:00’, ‘2013-11-10 00:00:00’,
‘2013-12-10 00:00:00’, ‘15/10’, ‘16/10’, ‘16/10’, ‘18/10’, ‘20/10’,
‘23/10’, ‘28/10’, ‘28/10’, ‘31/10’, ‘2013-03-11 00:00:00’,
‘2013-04-11 00:00:00’, ‘2013-04-11 00:00:00’, ‘13/11’, ‘13/11’,
‘15/11’, ‘16/11’, ‘16/11’, ‘20/11’, ‘20/11’, ‘22/11’, ‘26/11’,
‘28/11’, ‘29/11’, ‘2013-07-12 00:00:00’, ‘2013-11-12 00:00:00’,
‘13/12’, ‘14/12’, ‘14/12’, ‘16/12’, ‘23/12’, ‘30/12’,
‘2013-05-01 00:00:00’, ‘2013-09-01 00:00:00’,
‘2013-10-01 00:00:00’, ‘19/1’, ‘19/1’, ‘21/1’, ‘22/1’, ‘26/1’,
‘2013-08-02 00:00:00’, ‘15/2’, ‘18/2’, ‘18/2’, ‘19/2’, ‘19/2’,
‘20/2’, ‘24/2’, ‘24/2’, ‘25/2’, ‘27/2’, ‘2013-09-03 00:00:00’,
‘16/3’, ‘18/3’, ‘19/3’, ‘24/3’, ‘25/3’, ‘27/3’, ‘28/3’, ‘31/3’,
‘2013-03-04 00:00:00’, ‘2013-05-04 00:00:00’,
‘2013-07-04 00:00:00’, ‘2013-07-04 00:00:00’,
‘2013-09-04 00:00:00’, ‘2013-10-04 00:00:00’, ‘13/4’, ‘14/4’,
‘19/4’, ‘20/4’, ‘21/4’, ‘22/4’, ‘23/4’, ‘24/4’, ‘29/4’,
‘2013-11-05 00:00:00’, ‘14/5’, ‘18/5’, ‘19/5’, ‘19/5’, ‘23/5’,
‘23/5’, ‘27/5’, ‘2013-01-06 00:00:00’, ‘2013-03-06 00:00:00’,
‘2013-06-06 00:00:00’, ‘18/6’, ‘22/6’, ‘26/6’, ‘28/6’, ‘29/6’],
dtype=object)

pd.to_datetime(df[‘DOA’])


ValueError Traceback (most recent call last)
~\anaconda3\lib\site-packages\dateutil\parser_parser.py in parse(self, timestr, default, ignoretz, tzinfos, **kwargs)
654 try:
–> 655 ret = self._build_naive(res, default)
656 except ValueError as e:

~\anaconda3\lib\site-packages\dateutil\parser_parser.py in _build_naive(self, res, default)
1240
-> 1241 naive = default.replace(**repl)
1242

ValueError: month must be in 1…12

The above exception was the direct cause of the following exception:

ParserError Traceback (most recent call last)
pandas_libs\tslib.pyx in pandas._libs.tslib.array_to_datetime()

pandas_libs\tslibs\parsing.pyx in pandas._libs.tslibs.parsing.parse_datetime_string()

~\anaconda3\lib\site-packages\dateutil\parser_parser.py in parse(timestr, parserinfo, **kwargs)
1373 else:
-> 1374 return DEFAULTPARSER.parse(timestr, **kwargs)
1375

~\anaconda3\lib\site-packages\dateutil\parser_parser.py in parse(self, timestr, default, ignoretz, tzinfos, **kwargs)
656 except ValueError as e:
–> 657 six.raise_from(ParserError(e.args[0] + “: %s”, timestr), e)
658

~\anaconda3\lib\site-packages\six.py in raise_from(value, from_value)

ParserError: month must be in 1…12: 13/7

During handling of the above exception, another exception occurred:

TypeError Traceback (most recent call last)
pandas_libs\tslib.pyx in pandas._libs.tslib.array_to_datetime()

TypeError: invalid string coercion to datetime

During handling of the above exception, another exception occurred:

ValueError Traceback (most recent call last)
~\anaconda3\lib\site-packages\dateutil\parser_parser.py in parse(self, timestr, default, ignoretz, tzinfos, **kwargs)
654 try:
–> 655 ret = self._build_naive(res, default)
656 except ValueError as e:

~\anaconda3\lib\site-packages\dateutil\parser_parser.py in _build_naive(self, res, default)
1240
-> 1241 naive = default.replace(**repl)
1242

ValueError: month must be in 1…12

The above exception was the direct cause of the following exception:

ParserError Traceback (most recent call last)
in
----> 1 pd.to_datetime(df[‘DOA’]).head()

~\anaconda3\lib\site-packages\pandas\core\tools\datetimes.py in to_datetime(arg, errors, dayfirst, yearfirst, utc, format, exact, unit, infer_datetime_format, origin, cache)
801 result = arg.map(cache_array)
802 else:
–> 803 values = convert_listlike(arg._values, format)
804 result = arg._constructor(values, index=arg.index, name=arg.name)
805 elif isinstance(arg, (ABCDataFrame, abc.MutableMapping)):

~\anaconda3\lib\site-packages\pandas\core\tools\datetimes.py in _convert_listlike_datetimes(arg, format, name, tz, unit, errors, infer_datetime_format, dayfirst, yearfirst, exact)
457 assert format is None or infer_datetime_format
458 utc = tz == “utc”
–> 459 result, tz_parsed = objects_to_datetime64ns(
460 arg,
461 dayfirst=dayfirst,

~\anaconda3\lib\site-packages\pandas\core\arrays\datetimes.py in objects_to_datetime64ns(data, dayfirst, yearfirst, utc, errors, require_iso8601, allow_object)
2057 return values.view(“i8”), tz_parsed
2058 except (ValueError, TypeError):
-> 2059 raise e
2060
2061 if tz_parsed is not None:

~\anaconda3\lib\site-packages\pandas\core\arrays\datetimes.py in objects_to_datetime64ns(data, dayfirst, yearfirst, utc, errors, require_iso8601, allow_object)
2042
2043 try:
-> 2044 result, tz_parsed = tslib.array_to_datetime(
2045 data,
2046 errors=errors,

pandas_libs\tslib.pyx in pandas._libs.tslib.array_to_datetime()

pandas_libs\tslib.pyx in pandas._libs.tslib.array_to_datetime()

pandas_libs\tslib.pyx in pandas._libs.tslib.array_to_datetime_object()

pandas_libs\tslib.pyx in pandas._libs.tslib.array_to_datetime_object()

pandas_libs\tslibs\parsing.pyx in pandas._libs.tslibs.parsing.parse_datetime_string()

~\anaconda3\lib\site-packages\dateutil\parser_parser.py in parse(timestr, parserinfo, **kwargs)
1372 return parser(parserinfo).parse(timestr, **kwargs)
1373 else:
-> 1374 return DEFAULTPARSER.parse(timestr, **kwargs)
1375
1376

~\anaconda3\lib\site-packages\dateutil\parser_parser.py in parse(self, timestr, default, ignoretz, tzinfos, **kwargs)
655 ret = self._build_naive(res, default)
656 except ValueError as e:
–> 657 six.raise_from(ParserError(e.args[0] + “: %s”, timestr), e)
658
659 if not ignoretz:

~\anaconda3\lib\site-packages\six.py in raise_from(value, from_value)

ParserError: month must be in 1…12: 13/7